Merge from Template, a new feature for Composer.

2011-10-13 08:53 AM - Thaddeus -

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 14305

Description

The current (QGIS1.7.1) "Load from Template" wipes out all existing composer objects before importing from the template: this new

feature would allow to populate composer with selective objects by simply adding them on top of existing design: sort of  "copy and paste"

functionality.

History

#1 - 2012-02-05 05:40 AM - Nathan Woodrow

Nice idea.

I have also thought about a Update from Template which checks the name of each item vs the name of the item in the template and as long as the item

isn't locked it will update it with what the template has. Would be handy if you have a template used over a lot of projects that you need to update.

#2 - 2012-08-12 08:43 PM - Alister Hood

Nathan Woodrow wrote:

I have also thought about a Update from Template which checks the name of each item vs the name of the item in the template and as long as the

item isn't locked it will update it with what the template has. Would be handy if you have a template used over a lot of projects that you need to

update.

Would also be handy for switching from one template to another.

#3 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#5 - 2014-09-25 07:44 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Implemented in master
